%define upstream_name    Linux-Distribution
%define upstream_version 0.21

Summary:    Mudule for Linux distribution
Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LINUX/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl extension to guess on which Linux distribution we are running.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Linux
%{_mandir}/man3/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 218757
- update to 0.21

* Thu Jan 20 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 26443
- mageia rebuild
- imported package perl-Linux-Distribution


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 612366
- new version

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.140_100-1mdv2011.0
+ Revision: 484901
- disable tests because they fails on chroot
- import perl-Linux-Distribution


